/******************************************
 *      LCD library  (i2cLCD_ST7032i.h)   *
 *      use for AQM0802A,AQM1602Y,....    *
 ******************************************/

#include "mcc_generated_files/mcc.h"
#include "mcc_generated_files/examples/i2c1_master_example.h"

#define I2CLCD_Adr 0x3e

//-------- send command -------------------
void LCD_cmd(char cmd);

//-------- send data ----------------------
void LCD_dat(char chr);

//-------- clear LCD-----------------------
void LCD_clr(void);

//--------- Home --------------------------
void LCD_home(void);

//--------- Cursor X,Y --------------------
void LCD_cursor(int x, int y);

//-------- display strings ----------------
void LCD_str(char *str);

//------- Create CG Char ------------------
uint8_t LCD_CGchar(uint8_t c, char* dt);

//-------- LCD sift position --------------
void LCD_sift(uint8_t d);

//-------- LCD initialize ------------------
void LCD_init(void);

/********  End of Header File ******/
